diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/class-smtp.php ./wordpress-3.4/wp-includes/class-smtp.php
*** ./wordpress-3.3.2/wp-includes/class-smtp.php	2011-04-21 15:29:30.000000000 -0500
--- ./wordpress-3.4/wp-includes/class-smtp.php	2012-02-07 10:13:51.000000000 -0600
***************
*** 2,16 ****
  /*~ class.smtp.php
  .---------------------------------------------------------------------------.
  |  Software: PHPMailer - PHP email class                                    |
! |   Version: 5.1                                                            |
! |   Contact: via sourceforge.net support pages (also www.codeworxtech.com)  |
! |      Info: http://phpmailer.sourceforge.net                               |
! |   Support: http://sourceforge.net/projects/phpmailer/                     |
  | ------------------------------------------------------------------------- |
! |     Admin: Andy Prevost (project admininistrator)                         |
  |   Authors: Andy Prevost (codeworxtech) codeworxtech@users.sourceforge.net |
  |          : Marcus Bointon (coolbru) coolbru@users.sourceforge.net         |
  |   Founder: Brent R. Matzelle (original founder)                           |
  | Copyright (c) 2004-2009, Andy Prevost. All Rights Reserved.               |
  | Copyright (c) 2001-2003, Brent R. Matzelle                                |
  | ------------------------------------------------------------------------- |
--- 2,16 ----
  /*~ class.smtp.php
  .---------------------------------------------------------------------------.
  |  Software: PHPMailer - PHP email class                                    |
! |   Version: 5.2.1                                                          |
! |      Site: https://code.google.com/a/apache-extras.org/p/phpmailer/       |
  | ------------------------------------------------------------------------- |
! |     Admin: Jim Jagielski (project admininistrator)                        |
  |   Authors: Andy Prevost (codeworxtech) codeworxtech@users.sourceforge.net |
  |          : Marcus Bointon (coolbru) coolbru@users.sourceforge.net         |
+ |          : Jim Jagielski (jimjag) jimjag@gmail.com                        |
  |   Founder: Brent R. Matzelle (original founder)                           |
+ | Copyright (c) 2010-2012, Jim Jagielski. All Rights Reserved.              |
  | Copyright (c) 2004-2009, Andy Prevost. All Rights Reserved.               |
  | Copyright (c) 2001-2003, Brent R. Matzelle                                |
  | ------------------------------------------------------------------------- |
***************
*** 19,29 ****
  | This program is distributed in the hope that it will be useful - WITHOUT  |
  | ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     |
  | FITNESS FOR A PARTICULAR PURPOSE.                                         |
- | ------------------------------------------------------------------------- |
- | We offer a number of paid services (www.codeworxtech.com):                |
- | - Web Hosting on highly optimized fast and secure servers                 |
- | - Technology Consulting                                                   |
- | - Oursourcing (highly qualified programmers and graphic designers)        |
  '---------------------------------------------------------------------------'
  */
  
--- 19,24 ----
***************
*** 34,41 ****
   * @author Andy Prevost
   * @author Marcus Bointon
   * @copyright 2004 - 2008 Andy Prevost
   * @license http://www.gnu.org/copyleft/lesser.html Distributed under the Lesser General Public License (LGPL)
!  * @version $Id: class.smtp.php 444 2009-05-05 11:22:26Z coolbru $
   */
  
  /**
--- 29,38 ----
   * @author Andy Prevost
   * @author Marcus Bointon
   * @copyright 2004 - 2008 Andy Prevost
+  * @author Jim Jagielski
+  * @copyright 2010 - 2012 Jim Jagielski
   * @license http://www.gnu.org/copyleft/lesser.html Distributed under the Lesser General Public License (LGPL)
!  * @version $Id: class.smtp.php 450 2010-06-23 16:46:33Z coolbru $
   */
  
  /**
***************
*** 71,76 ****
--- 68,79 ----
     */
    public $do_verp = false;
  
+   /**
+    * Sets the SMTP PHPMailer Version number
+    * @var string
+    */
+   public $Version         = '5.2.1';
+ 
    /////////////////////////////////////////////////
    // PROPERTIES, PRIVATE AND PROTECTED
    /////////////////////////////////////////////////
***************
*** 794,800 ****
     */
    private function get_lines() {
      $data = "";
!     while($str = @fgets($this->smtp_conn,515)) {
        if($this->do_debug >= 4) {
          echo "SMTP -> get_lines(): \$data was \"$data\"" . $this->CRLF . '<br />';
          echo "SMTP -> get_lines(): \$str is \"$str\"" . $this->CRLF . '<br />';
--- 797,804 ----
     */
    private function get_lines() {
      $data = "";
!     while(!feof($this->smtp_conn)) {
!       $str = @fgets($this->smtp_conn,515);
        if($this->do_debug >= 4) {
          echo "SMTP -> get_lines(): \$data was \"$data\"" . $this->CRLF . '<br />';
          echo "SMTP -> get_lines(): \$str is \"$str\"" . $this->CRLF . '<br />';
***************
*** 811,814 ****
  
  }
  
! ?>
\ No newline at end of file
--- 815,818 ----
  
  }
  
! ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/class-wp-admin-bar.php ./wordpress-3.4/wp-includes/class-wp-admin-bar.php
*** ./wordpress-3.3.2/wp-includes/class-wp-admin-bar.php	2012-01-02 15:37:16.000000000 -0600
--- ./wordpress-3.4/wp-includes/class-wp-admin-bar.php	2012-04-09 20:19:30.000000000 -0500
***************
*** 321,327 ****
  	}
  
  	final protected function _render( $root ) {
! 		global $is_IE, $is_iphone;
  
  		// Add browser classes.
  		// We have to do this here since admin bar shows on the front end.
--- 321,327 ----
  	}
  
  	final protected function _render( $root ) {
! 		global $is_IE;
  
  		// Add browser classes.
  		// We have to do this here since admin bar shows on the front end.
***************
*** 333,339 ****
  				$class .= ' ie8';
  			elseif ( strpos( $_SERVER['HTTP_USER_AGENT'], 'MSIE 9' ) )
  				$class .= ' ie9';
! 		} elseif ( $is_iphone ) {
  			$class .= ' mobile';
  		}
  
--- 333,339 ----
  				$class .= ' ie8';
  			elseif ( strpos( $_SERVER['HTTP_USER_AGENT'], 'MSIE 9' ) )
  				$class .= ' ie9';
! 		} elseif ( wp_is_mobile() ) {
  			$class .= ' mobile';
  		}
  
***************
*** 471,474 ****
  		do_action( 'add_admin_bar_menus' );
  	}
  }
- ?>
--- 471,473 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/class-wp-ajax-response.php ./wordpress-3.4/wp-includes/class-wp-ajax-response.php
*** ./wordpress-3.3.2/wp-includes/class-wp-ajax-response.php	2011-04-29 15:05:12.000000000 -0500
--- ./wordpress-3.4/wp-includes/class-wp-ajax-response.php	2012-02-12 13:02:07.000000000 -0600
***************
*** 131,138 ****
  		foreach ( (array) $this->responses as $response )
  			echo $response;
  		echo '</wp_ajax>';
! 		die();
  	}
  }
- 
- ?>
--- 131,139 ----
  		foreach ( (array) $this->responses as $response )
  			echo $response;
  		echo '</wp_ajax>';
! 		if ( defined( 'DOING_AJAX' ) && DOING_AJAX )
! 			wp_die();
! 		else
! 			die();
  	}
  }
